For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Token

The "Get Token" endpoint allows customers to retrieve the prepaid electricity token generated from a previous Vend transaction.

GET /api/Bills/v1/GetToken

This endpoint applies to electricity billers only.

To retrieve a token, you need to provide the query parameters PostingReference and PaymentReference.

Headers

Name
Value

Content-Type*

application/json

Authorization*

Bearer

Request-Reference

{unique_reference}

Query Params

Name
Description

PostingReference

The posting reference of the original Vend transaction.

PaymentReference

The payment reference of the original Vend transaction.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g '{{baseurl}}/api/Bills/v1/GetToken?PostingRefernce=&PaymentReference=' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data ''
Response: 200
{
  "status": true,
  "message": "string",
  "data": {
    "token": "string",
    "tokenUnits": 0,
    "customerId": "string",
    "packageName": "string",
    "billerIdentifier": "string",
    "billType": "string"
  }
}

Last updated